summaryrefslogtreecommitdiffstats
path: root/system/pcsc-tools
diff options
context:
space:
mode:
Diffstat (limited to 'system/pcsc-tools')
-rw-r--r--system/pcsc-tools/README12
-rw-r--r--system/pcsc-tools/pcsc-tools.SlackBuild93
-rw-r--r--system/pcsc-tools/pcsc-tools.info10
-rw-r--r--system/pcsc-tools/slack-desc19
4 files changed, 134 insertions, 0 deletions
diff --git a/system/pcsc-tools/README b/system/pcsc-tools/README
new file mode 100644
index 0000000000..69b6ea403c
--- /dev/null
+++ b/system/pcsc-tools/README
@@ -0,0 +1,12 @@
+pcsc-tools provides some utilities that allow you to mess with your smart card
+reader, or to test a PC/SC driver.
+
+ATR_analysis - analyze a smart card "Answer to Reset" message
+pcsc_scan - query the status of a smart card reader using pcsc-lite
+scriptor - send commands to a smart card using a batch file or stdin
+gscriptor - GTK frontend to scriptor
+
+pcsc_scan requires pcsc-lite to build and run.
+
+The rest of the above require pcsc-perl as a runtime dependency only,
+and gscriptor needs perl-gtk2 as a runtime-only dependency.
diff --git a/system/pcsc-tools/pcsc-tools.SlackBuild b/system/pcsc-tools/pcsc-tools.SlackBuild
new file mode 100644
index 0000000000..b7546a440a
--- /dev/null
+++ b/system/pcsc-tools/pcsc-tools.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for pcsc-tools
+
+# Copyright 2008 Andrew Psaltis <ampsaltis@gmail.com>
+# All rights reserved.
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pcsc-tools
+VERSION=1.4.16
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="LICENCE README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Make sure that the man pages go to the right place
+sed -i -e's|/share/man|/man|' Makefile
+
+# Use our wanted CFLAGS, in addition to those in the Makefile
+sed -i -e"s/-O2/$SLKCFLAGS/" Makefile
+
+make
+make install DESTDIR=$PKG/usr
+
+# Strip pcsc_scan
+find $PKG -name "pcsc_scan" -exec strip --strip-uneeded $PKG 2> /dev/null {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/pcsc-tools/pcsc-tools.info b/system/pcsc-tools/pcsc-tools.info
new file mode 100644
index 0000000000..ea421435db
--- /dev/null
+++ b/system/pcsc-tools/pcsc-tools.info
@@ -0,0 +1,10 @@
+PRGNAM="pcsc-tools"
+VERSION="1.4.16"
+HOMEPAGE="http://ludovic.rousseau.free.fr/softwares/pcsc-tools/"
+DOWNLOAD="http://ludovic.rousseau.free.fr/softwares/pcsc-tools/pcsc-tools-1.4.16.tar.gz"
+MD5SUM="3b9c9f3780f42553103ac211f82f0bd4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andrew Psaltis"
+EMAIL="ampsaltis@gmail.com"
+APPROVED="rworkman"
diff --git a/system/pcsc-tools/slack-desc b/system/pcsc-tools/slack-desc
new file mode 100644
index 0000000000..2dd10f85ce
--- /dev/null
+++ b/system/pcsc-tools/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pcsc-tools: pcsc-tools (various tools to interact with pcsc-lite)
+pcsc-tools:
+pcsc-tools: pcsc-tools provides some utilities that allow you to mess with your
+pcsc-tools: smart card reader, or to test a PC/SC driver.
+pcsc-tools:
+pcsc-tools: ATR_analysis - analyze a smart card "Answer to Reset" message
+pcsc-tools: pcsc_scan - query the status of a smart card reader using pcsc-lite
+pcsc-tools: scriptor - send commands to a smart card
+pcsc-tools: gscriptor - graphical frontend to scriptor
+pcsc-tools:
+pcsc-tools: More info at: http://ludovic.rousseau.free.fr/softwares/pcsc-tools/